#include <stdio.h>
#include <vector>
#include <string>
#include <algorithm>


using namespace std;

struct s_node{
	int V, x, y;
	s_node *N, *E, *W, *S;
};

vector <s_node> X[10001];
vector <s_node> Y[10001];
int X2[10001];
int Y2[10001];

int visited[10001];

int X_len, Y_len;
int n, i, x , y;
string res="";


bool cmpX(s_node a, s_node b) {
	return( a.x > b.x );
}

bool cmpY(s_node a, s_node b) {
	return( a.y > b.y );
}


s_node *start;
int minX, maxX, symX, minY, maxY, symY;
vector<s_node>::iterator b, e;


s_node *go_up( s_node *start ) {
	int idx = 0;
				
	while( idx < X[start->x].size() ) {
		if (!visited[ X[start->x].V ] && X[start->x][idx].y < start->y) {
			visited[ X[start->x].V ] = 1;
			return( &X[start->x] );
		}
	}
				
	return( NULL );
}



int main() {
	while( n ) {
		scanf("%d", &n);
			
		X_len = Y_len = 0;
		start = NULL;
		res = "";
		
		for(i=0; i<n; i++) {
			scanf("%d %d\n", &x, &y);
			
			//s_node  *p = (s_node *)malloc( sizeof(s_node));
			s_node p;

			minX = minX<x ? minX : x;
			maxX = maxX>x ? maxX : x;
			
			minY = minY<y ? minY : y;
			maxY = maxY>y ? maxY: y;
			
			p.x = x; p.y = y;
			p.V = i;
			p.N = p.E = p.W = p.S = NULL;
			if (!start) start = &p;
			
			X[ x ].push_back( p ); X_len++;
			Y[ y ].push_back( p ); Y_len++;
		}
		
		symX = (maxX + minX) / 2;
		symY = (maxY + minY) / 2;
		
		for( i=0; i<X_len; i++)
			 sort( X[i].begin(), X[i].end(), cmpX );    

		for( i=0; i<Y_len; i++)
			 sort( Y[i].begin(), Y[i].end(), cmpY ); 
		
		/*for (int k=minX; k<maxX; ++k) {*/
			/*b = X[k].begin(); e = X[k].end();
			while (b+1!=e) {
				*b.t = true;
				if (!(*b+1).t) res += "N";
				else break;
				++b;
			}*/
/*		}*/
		
		while(n--) {
			
			
			if ( (p = go_up( start ))!=NULL ) 
				res+="N", start = p;
			else
			if ( (p = go_right( start ))!=NULL ) 	
				res+="E", start = p; 
			else
			if ( (p = go_down( start ))!=NULL ) 	
				res+="S", start = p;
			else
			if ( (p = go_left( start ))!=NULL ) 	
				res+="W", start = p;
							
		}
		
		
		/* clear */
		for( i=0; i<X_len; i++)
			 X[i].clear();

		for( i=0; i<Y_len; i++)
			Y[i].clear();
		
		scanf("\n");
	}
		
}

